Update Configuration
curl --request PATCH \
--url https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"configuration": {
"llm": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"version": 3,
"mode": "pipeline",
"llm_fallback": {
"version": 1,
"rules": [
{
"condition": {
"type": "no_output",
"after_ms": 1500
},
"target": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
}
}
]
},
"stt": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"tts": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"realtime": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"embeddings": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
}
},
"revision": 2
}
'import requests
url = "https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid}"
payload = {
"name": "<string>",
"configuration": {
"llm": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"version": 3,
"mode": "pipeline",
"llm_fallback": {
"version": 1,
"rules": [
{
"condition": {
"type": "no_output",
"after_ms": 1500
},
"target": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
}
}
]
},
"stt": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"tts": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"realtime": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"embeddings": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
}
},
"revision": 2
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
configuration: {
llm: {provider_connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', settings: {}},
version: 3,
mode: 'pipeline',
llm_fallback: {
version: 1,
rules: [
{
condition: {type: 'no_output', after_ms: 1500},
target: {provider_connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', settings: {}}
}
]
},
stt: {provider_connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', settings: {}},
tts: {provider_connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', settings: {}},
realtime: {provider_connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', settings: {}},
embeddings: {provider_connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', settings: {}}
},
revision: 2
})
};
fetch('https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'configuration' => [
'llm' => [
'provider_connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'settings' => [
]
],
'version' => 3,
'mode' => 'pipeline',
'llm_fallback' => [
'version' => 1,
'rules' => [
[
'condition' => [
'type' => 'no_output',
'after_ms' => 1500
],
'target' => [
'provider_connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'settings' => [
]
]
]
]
],
'stt' => [
'provider_connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'settings' => [
]
],
'tts' => [
'provider_connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'settings' => [
]
],
'realtime' => [
'provider_connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'settings' => [
]
],
'embeddings' => [
'provider_connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'settings' => [
]
]
],
'revision' => 2
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"configuration\": {\n \"llm\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"version\": 3,\n \"mode\": \"pipeline\",\n \"llm_fallback\": {\n \"version\": 1,\n \"rules\": [\n {\n \"condition\": {\n \"type\": \"no_output\",\n \"after_ms\": 1500\n },\n \"target\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n }\n }\n ]\n },\n \"stt\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"tts\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"realtime\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"embeddings\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n }\n },\n \"revision\": 2\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"configuration\": {\n \"llm\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"version\": 3,\n \"mode\": \"pipeline\",\n \"llm_fallback\": {\n \"version\": 1,\n \"rules\": [\n {\n \"condition\": {\n \"type\": \"no_output\",\n \"after_ms\": 1500\n },\n \"target\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n }\n }\n ]\n },\n \"stt\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"tts\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"realtime\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"embeddings\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n }\n },\n \"revision\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"configuration\": {\n \"llm\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"version\": 3,\n \"mode\": \"pipeline\",\n \"llm_fallback\": {\n \"version\": 1,\n \"rules\": [\n {\n \"condition\": {\n \"type\": \"no_output\",\n \"after_ms\": 1500\n },\n \"target\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n }\n }\n ]\n },\n \"stt\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"tts\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"realtime\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"embeddings\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n }\n },\n \"revision\": 2\n}"
response = http.request(request)
puts response.read_body{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"configuration": {
"llm": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"version": 3,
"mode": "pipeline",
"llm_fallback": {
"version": 1,
"rules": [
{
"condition": {
"type": "no_output",
"after_ms": 1500
},
"target": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
}
}
]
},
"stt": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"tts": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"realtime": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"embeddings": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
}
},
"revision": 123,
"is_active": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Model Connections
Update Configuration
Update the named configuration with optional revision checking. Omit unchanged fields. A stale revision or incompatible default embedding change can be rejected.
Update Configuration
curl --request PATCH \
--url https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"configuration": {
"llm": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"version": 3,
"mode": "pipeline",
"llm_fallback": {
"version": 1,
"rules": [
{
"condition": {
"type": "no_output",
"after_ms": 1500
},
"target": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
}
}
]
},
"stt": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"tts": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"realtime": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"embeddings": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
}
},
"revision": 2
}
'import requests
url = "https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid}"
payload = {
"name": "<string>",
"configuration": {
"llm": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"version": 3,
"mode": "pipeline",
"llm_fallback": {
"version": 1,
"rules": [
{
"condition": {
"type": "no_output",
"after_ms": 1500
},
"target": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
}
}
]
},
"stt": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"tts": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"realtime": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"embeddings": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
}
},
"revision": 2
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
configuration: {
llm: {provider_connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', settings: {}},
version: 3,
mode: 'pipeline',
llm_fallback: {
version: 1,
rules: [
{
condition: {type: 'no_output', after_ms: 1500},
target: {provider_connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', settings: {}}
}
]
},
stt: {provider_connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', settings: {}},
tts: {provider_connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', settings: {}},
realtime: {provider_connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', settings: {}},
embeddings: {provider_connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', settings: {}}
},
revision: 2
})
};
fetch('https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'configuration' => [
'llm' => [
'provider_connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'settings' => [
]
],
'version' => 3,
'mode' => 'pipeline',
'llm_fallback' => [
'version' => 1,
'rules' => [
[
'condition' => [
'type' => 'no_output',
'after_ms' => 1500
],
'target' => [
'provider_connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'settings' => [
]
]
]
]
],
'stt' => [
'provider_connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'settings' => [
]
],
'tts' => [
'provider_connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'settings' => [
]
],
'realtime' => [
'provider_connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'settings' => [
]
],
'embeddings' => [
'provider_connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'settings' => [
]
]
],
'revision' => 2
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"configuration\": {\n \"llm\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"version\": 3,\n \"mode\": \"pipeline\",\n \"llm_fallback\": {\n \"version\": 1,\n \"rules\": [\n {\n \"condition\": {\n \"type\": \"no_output\",\n \"after_ms\": 1500\n },\n \"target\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n }\n }\n ]\n },\n \"stt\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"tts\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"realtime\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"embeddings\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n }\n },\n \"revision\": 2\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"configuration\": {\n \"llm\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"version\": 3,\n \"mode\": \"pipeline\",\n \"llm_fallback\": {\n \"version\": 1,\n \"rules\": [\n {\n \"condition\": {\n \"type\": \"no_output\",\n \"after_ms\": 1500\n },\n \"target\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n }\n }\n ]\n },\n \"stt\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"tts\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"realtime\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"embeddings\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n }\n },\n \"revision\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://athena.tryopencomputer.com/api/v1/model-connections/model-configurations/{configuration_uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"configuration\": {\n \"llm\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"version\": 3,\n \"mode\": \"pipeline\",\n \"llm_fallback\": {\n \"version\": 1,\n \"rules\": [\n {\n \"condition\": {\n \"type\": \"no_output\",\n \"after_ms\": 1500\n },\n \"target\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n }\n }\n ]\n },\n \"stt\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"tts\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"realtime\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n },\n \"embeddings\": {\n \"provider_connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"settings\": {}\n }\n },\n \"revision\": 2\n}"
response = http.request(request)
puts response.read_body{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"configuration": {
"llm": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"version": 3,
"mode": "pipeline",
"llm_fallback": {
"version": 1,
"rules": [
{
"condition": {
"type": "no_output",
"after_ms": 1500
},
"target": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
}
}
]
},
"stt": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"tts": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"realtime": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
},
"embeddings": {
"provider_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {}
}
},
"revision": 123,
"is_active": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
ApiKeyAuthBearerAuth
Path Parameters
Body
application/json